List Refunds
curl --request GET \
--url https://plugin-pix-indirect.api.lerian.net/v1/dict/funds-recoveries/{funds_recovery_id}/refunds \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://plugin-pix-indirect.api.lerian.net/v1/dict/funds-recoveries/{funds_recovery_id}/refunds"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://plugin-pix-indirect.api.lerian.net/v1/dict/funds-recoveries/{funds_recovery_id}/refunds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://plugin-pix-indirect.api.lerian.net/v1/dict/funds-recoveries/{funds_recovery_id}/refunds"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"refunds": [
{
"analysisResult": "<string>",
"bacenFundsRecoveryId": "ca1b9c01-ff9e-4a58-90ab-d31512e15ce0",
"contestedParticipant": "87654321",
"creationTime": "2023-11-07T05:31:56Z",
"fundsRecoveryId": "550e8400-e29b-41d4-a716-446655440000",
"id": "550e8400-e29b-41d4-a716-446655440000",
"lastModified": "2023-11-07T05:31:56Z",
"refundAmount": "100.50",
"refundReason": "FRAUD",
"refundTransactionId": "<string>",
"requestingParticipant": "12345678",
"status": "OPEN",
"transactionId": "E12345678202411241430ABCDEFGHIJK"
}
]
}{
"code": "<string>",
"title": "<string>",
"message": "<string>"
}{
"code": "<string>",
"title": "<string>",
"message": "<string>"
}{
"code": "<string>",
"title": "<string>",
"message": "<string>"
}List Refunds
Use this endpoint to list all refunds associated with a funds recovery request.
GET
/
v1
/
dict
/
funds-recoveries
/
{funds_recovery_id}
/
refunds
List Refunds
curl --request GET \
--url https://plugin-pix-indirect.api.lerian.net/v1/dict/funds-recoveries/{funds_recovery_id}/refunds \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://plugin-pix-indirect.api.lerian.net/v1/dict/funds-recoveries/{funds_recovery_id}/refunds"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://plugin-pix-indirect.api.lerian.net/v1/dict/funds-recoveries/{funds_recovery_id}/refunds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://plugin-pix-indirect.api.lerian.net/v1/dict/funds-recoveries/{funds_recovery_id}/refunds"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"refunds": [
{
"analysisResult": "<string>",
"bacenFundsRecoveryId": "ca1b9c01-ff9e-4a58-90ab-d31512e15ce0",
"contestedParticipant": "87654321",
"creationTime": "2023-11-07T05:31:56Z",
"fundsRecoveryId": "550e8400-e29b-41d4-a716-446655440000",
"id": "550e8400-e29b-41d4-a716-446655440000",
"lastModified": "2023-11-07T05:31:56Z",
"refundAmount": "100.50",
"refundReason": "FRAUD",
"refundTransactionId": "<string>",
"requestingParticipant": "12345678",
"status": "OPEN",
"transactionId": "E12345678202411241430ABCDEFGHIJK"
}
]
}{
"code": "<string>",
"title": "<string>",
"message": "<string>"
}{
"code": "<string>",
"title": "<string>",
"message": "<string>"
}{
"code": "<string>",
"title": "<string>",
"message": "<string>"
}Was this page helpful?

